
package com.mx.dla.dda.contrato.ws.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;



public class DTOrdenInterna extends BaseDTO{

    /**
	 * 
	 */
	private static final long serialVersionUID = 6214423171339250913L;
	protected List<DTOrdenInterna.Registro> registro;

    public List<DTOrdenInterna.Registro> getRegistro() {
        if (registro == null) {
            registro = new ArrayList<DTOrdenInterna.Registro>();
        }
        return this.registro;
    }

    public void setRegistro(List<DTOrdenInterna.Registro> registro) {
    	this.registro = registro;
    }

   
    public static class Registro extends BaseDTO{

        /**
		 * 
		 */
		private static final long serialVersionUID = -4311691753127062556L;
		protected String iddda;
        protected String descripcion;
        protected String sociedad;
        protected String centroCostos;

        public String getIDDDA() {
            return iddda;
        }

        public void setIDDDA(String value) {
            this.iddda = value;
        }

        public String getDescripcion() {
            return descripcion;
        }

        public void setDescripcion(String value) {
            this.descripcion = value;
        }

        public String getSociedad() {
            return sociedad;
        }

        public void setSociedad(String value) {
            this.sociedad = value;
        }

        public String getCentroCostos() {
            return centroCostos;
        }

        public void setCentroCostos(String value) {
            this.centroCostos = value;
        }

    }


	
    
    

}